Bug 60932 - m2crypto has undefined symbol d2i_SSL_SESSION
Summary: m2crypto has undefined symbol d2i_SSL_SESSION
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: m2crypto   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-09 16:23 UTC by Jack Neely
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 18:50:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2002-03-09 16:23:35 UTC
Description of Problem:
m2crypto throws an ImportError on import saying that it has an undefined symbol.
 The odd thing is if you try to import it a second time it works.

[slack@excalibur M2Crypto]$ python
Python 1.5.2 (#1, Jul  5 2001, 03:02:19)  [GCC 2.96 20000731 (Red Hat Linux 7.1
2 on linux-i386
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>> import M2Crypto
Traceback (innermost last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python1.5/site-packages/M2Crypto/__init__.py", line 6, in ?
    import _m2crypto
  File "/usr/lib/python1.5/site-packages/M2Crypto/_m2crypto.py", line 2, in ?
    import _m2cryptoc
ImportError: /usr/lib/python1.5/site-packages/M2Crypto/_m2cryptoc.so: undefined
symbol: d2i_SSL_SESSION
>>> globals()      
{'__doc__': None, '__name__': '__main__', '__builtins__': <module '__builtin__'
(built-in)>}
>>> import M2Crypto
>>> globals()
{'__doc__': None, 'M2Crypto': <module 'M2Crypto' from
'/usr/lib/python1.5/site-packages/M2Crypto/__init__.pyc'>, '__name__':
'__main__', '__builtins__': <module '__builtin__' (built-in)>}
>>> 


Version-Release number of selected component (if applicable):
m2crypto-0.05_snap4-2

How Reproducible:
Always

Steps to Reproduce:
See the python session above

Comment 1 Miloslav Trmač 2005-05-31 18:50:29 UTC
I'm sorry for the late response.

This was reported to be fixed in m2crypto-0.05_snap4-3, works
for me on Fedora Core 3.


Note You need to log in before you can comment on or make changes to this bug.